Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 530978 - x11-drivers/xf86-video-vmware-13.0.2 - In file included from .../work/xf86-video-vmware-13.0.2/vmwgfx/vmwgfx_overlay.c:38 : /usr/include/xorg/os.h:579:1: error: expected identifier or '(' before '__extension__'
Summary: x11-drivers/xf86-video-vmware-13.0.2 - In file included from .../work/xf86-vi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Tiziano Müller
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 530652
  Show dependency tree
 
Reported: 2014-11-28 11:36 UTC by Leonid Kopylov
Modified: 2015-01-18 22:21 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,75.50 KB, text/plain)
2014-11-28 11:38 UTC, Leonid Kopylov
Details
Build log of xf86-video-vmware-13.0.2 (build.log,72.44 KB, application/octet-stream)
2015-01-18 13:08 UTC, Tobias Müller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Kopylov 2014-11-28 11:36:36 UTC
# emerge -pqv '=x11-drivers/xf86-video-vmware-13.0.2::gentoo'
[ebuild  N    ] x11-drivers/xf86-video-vmware-13.0.2



# emerge --info '=x11-drivers/xf86-video-vmware-13.0.2::gentoo'
Portage 2.2.14 (python 3.3.5-final-0, default/linux/amd64/13.0/no-multilib, gcc-4.8.3, glibc-2.20, 3.17.4-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.17.4-gentoo-x86_64-Intel-R-_Core-TM-_i7-4770_CPU_@_3.40GHz-with-gentoo-2.2
KiB Mem:     2055472 total,    423144 free
KiB Swap:    2097148 total,   2081880 free
Timestamp of tree: Fri, 28 Nov 2014 03:45:01 +0000
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.3_p30-r1
dev-java/java-config:     2.2.0
dev-lang/perl:            5.20.1-r2
dev-lang/python:          2.7.8, 3.3.5-r1
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.6
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.14.1
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.3-r2
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.17-r1 (virtual/os-headers)
sys-libs/glibc:           2.20
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.isoc.org.il/pub/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.us.gentoo.org/gentoo-portage"
USE="X a52 aac acl addressbook ads alsa amd64 anacron audit avx2 berkdb bidi bluetooth branding bzip2 cairo caps cdio cli colord cracklib creds crypt cryptsetup cscope cups curl cxx dbus device-mapper doc dot dri dts emacs examples exif experimental extra fam flac fontconfig fortran games gcj gd gdbm geoip gif gmp gnome gnome-keyring gnutls gpm gstreamer gtk gudev hddtemp highlight http iconv icu idn ios ipod ipv6 jadetex java jpeg kde kerberos latex ldap libcaca libkms lm_sensors math mbox messages minizip mmx modules mount mp3 mp4 ncurses network network-cron networking networkmanager nls nptl nsplugin ntp offensive ogg openldap openmp p2p pam pcre pdf perl plugins png policykit postfix python qrcode qt3support qt4 quota radius readline samba sasl sdl sensord session slp sound source spell sqlite sse sse2 sse4_1 sse4_2 ssh ssl ssse3 svg swat symlink systemd tcpd tcpdump theora threads tiff tk tools truetype twolame udev unicode utils vala vim vim-pager vim-plugin vim-syntax vnc vorbis winbind wininst wps x264 xa xattr xetex xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher" LINGUAS="en he ru" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="vmware" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Leonid Kopylov 2014-11-28 11:38:14 UTC
Created attachment 390490 [details]
build.log


build.log
Comment 2 Chí-Thanh Christopher Nguyễn gentoo-dev 2014-11-28 13:58:23 UTC
This might be fixed by
http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/?id=4664412d7a5266d2b392957406b34abc5db95e48
Comment 3 Gürkan Gür 2014-12-03 12:10:08 UTC
(In reply to Chí-Thanh Christopher Nguyễn from comment #2)
> This might be fixed by
> http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> ?id=4664412d7a5266d2b392957406b34abc5db95e48

Tried one-line diff with no success here on amd64
Comment 4 Gürkan Gür 2014-12-03 12:11:06 UTC
(In reply to Gürkan Gür from comment #3)
> (In reply to Chí-Thanh Christopher Nguyễn from comment #2)
> > This might be fixed by
> > http://cgit.freedesktop.org/xorg/driver/xf86-video-vmware/commit/
> > ?id=4664412d7a5266d2b392957406b34abc5db95e48
> 
> Tried one-line diff with no success here on amd64

Sorry ignore my reply, just realized it's a different bug
Comment 5 Pieter Van den Abeele 2014-12-14 19:56:00 UTC
upstream patch works for me
Comment 6 Pacho Ramos gentoo-dev 2015-01-05 19:09:46 UTC
(In reply to Pieter Van den Abeele from comment #5)
> upstream patch works for me

@x11, any problem preventing to apply that patch then?
Comment 7 Leonid Kopylov 2015-01-11 12:43:19 UTC
The patch doesn't work for me
Comment 8 Tobias Müller 2015-01-12 18:31:58 UTC
Same problem here.
Comment 9 Pacho Ramos gentoo-dev 2015-01-13 12:47:20 UTC
Please provide the updated build.log
Comment 10 Tobias Müller 2015-01-18 13:08:26 UTC
Created attachment 394250 [details]
Build log of xf86-video-vmware-13.0.2

Here's my latest build log and emerge --info.

Portage 2.2.15 (python 3.3.5-final-0, default/linux/amd64/13.0/desktop/gnome/systemd, gcc-4.8.4, glibc-2.20-r1, 3.16.7-gentoo x86_64)
=================================================================
System uname: Linux-3.16.7-gentoo-x86_64-Intel-R-_Core-TM-_i7-4790K_CPU_@_4.00GHz-with-gentoo-2.2
KiB Mem:     4044448 total,   2740744 free
KiB Swap:          0 total,         0 free
Timestamp of tree: Sun, 18 Jan 2015 13:00:01 +0000
sh bash 4.3_p33
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.3_p33
dev-lang/perl:            5.20.1-r4
dev-lang/python:          2.7.9-r1, 3.3.5-r1
dev-util/cmake:           3.0.2
dev-util/pkgconfig:       0.28-r2
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.13.6
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.11.6-r1, 1.14.1, 1.15
sys-devel/binutils:       2.24-r3
sys-devel/gcc:            4.8.4
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.4
sys-devel/make:           4.1-r1
sys-kernel/linux-headers: 3.18 (virtual/os-headers)
sys-libs/glibc:           2.20-r1
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli colord cracklib crypt cups cxx dbus dri dts dvd dvdr eds emboss encode evo exif fam firefox flac fortran gdbm gif glamor gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk iconv introspection ipv6 jpeg lcms ldap libnotify libsecret mad mmx mng modules mp3 mp4 mpeg multilib nautilus ncurses nls nptl ogg opengl openmp pam pango pcre pdf png policykit ppds pulseaudio qt3support qt4 readline sdl session socialweb spell sse sse2 ssl startup-notification svg systemd tcpd tiff truetype udev udisks unicode upower usb vorbis wxwidgets x264 xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="vmware vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, SYNC, USE_PYTHON
Comment 11 Pieter Van den Abeele 2015-01-18 15:45:23 UTC
Tobias, are you sure you applied the patch? From your latest build.log it seems to me you are building xf86-video-vmware without the patch.
Comment 12 Tobias Müller 2015-01-18 16:21:06 UTC
Sorry for being unclear. I meant that I get the same errors as the bug opener. Creating an overlay ebuild with the patch solves the problem here.
Comment 13 Pacho Ramos gentoo-dev 2015-01-18 22:21:24 UTC
+  18 Jan 2015; Pacho Ramos <pacho@gentoo.org>
+  +files/xf86-video-vmware-13.0.2-fix-includes.patch,
+  xf86-video-vmware-13.0.2.ebuild:
+  Fix compilation (#530978 by Leonid Kopylov, Chí-Thanh Christopher Nguyễn,
+  Pieter Van den Abeele and Tobias Müller)
+